package sk.stuba.fei.uim.oop;

public class InvalidDateException extends Exception {

    private int day;
    private Month month;
    private int year;

    public InvalidDateException(int day, Month month, int year) {
        super("Invalid day " + day + " for month " + month.getName() + " and year " + year);
        this.day = day;
        this.month = month;
        this.year = year;
    }

    public int getDay() {
        return day;
    }

    public Month getMonth() {
        return month;
    }

    public int getYear() {
        return year;
    }
}
