package sk.stuba.fei.uim.oop;

public enum Month {
    JANUARY(1, "January", "Jan", 31),
    FEBRUARY(2, "February", "Feb", 29),
    MARCH(3, "March", "Mar", 31),
    APRIL(4, "April", "Apr", 30),
    MAY(5, "May", "May", 31),
    JUNE(6, "June", "Jun", 30),
    JULY(7, "July", "Jul", 31),
    AUGUST(8, "August", "Aug", 31),
    SEPTEMBER(9, "September", "Sep", 30),
    OCTOBER(10, "October", "Oct", 31),
    NOVEMBER(11, "November", "Nov", 30),
    DECEMBER(12, "December", "Dec", 31);

    private int id;
    private String name;
    private String shortName;
    private int days;

    Month(int id, String name, String shortName, int days) {
        this.id = id;
        this.name = name;
        this.shortName = shortName;
        this.days = days;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public int getDays() {
        return days;
    }

    @Override
    public String toString() {
        return shortName;
    }
}
